Debian Bug report logs - #354785
RM: imageviewer -- RoM; superseded by preview.app; FTBFS

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Hubert Chan <hubert@uhoreg.ca>

Date: Wed, 1 Mar 2006 04:33:01 UTC

Severity: normal

Merged with 296627

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Evan Prodromou <evan@debian.org>, Hubert Chan <hubert@uhoreg.ca>, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#354785; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Hubert Chan <hubert@uhoreg.ca>:
New Bug report received and forwarded. Copy sent to Evan Prodromou <evan@debian.org>, Hubert Chan <hubert@uhoreg.ca>, James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hubert Chan <hubert@uhoreg.ca>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ftp.debian.org: RM: imageviewer -- unmaintained, FTBFS, other alternative exists
Date: Tue, 28 Feb 2006 21:06:16 -0700
Package: ftp.debian.org
Severity: normal

{mass removal of old unmaintained GNUstep packages}

Evan has orphaned the imageviewer package, and nobody has stepped up to
maintain it.  It currently will not build, due to changed GNUstep
library versions.  Preview.app does mostly the same thing, and is being
actively maintained.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (101, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15.4
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

-- 
Hubert Chan - email & Jabber: hubert@uhoreg.ca - http://www.uhoreg.ca/
PGP/GnuPG key: 1024D/124B61FA   (Key available at wwwkeys.pgp.net)
Fingerprint: 96C5 012F 5F74 A5F7 1FF7  5291 AF29 C719 124B 61FA




Changed Bug title. Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#354785; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #12 received at 354785@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Hubert Chan <hubert@uhoreg.ca>, 354785@bugs.debian.org
Subject: Re: Bug#354785: ftp.debian.org: RM: imageviewer -- unmaintained, FTBFS, other alternative exists
Date: Wed, 1 Mar 2006 10:21:38 +0100
Hi Hubert!

On Tue, Feb 28, 2006 at 09:06:16PM -0700, Hubert Chan wrote:
> {mass removal of old unmaintained GNUstep packages}
> 
> Evan has orphaned the imageviewer package, and nobody has stepped up to
> maintain it.  It currently will not build, due to changed GNUstep
> library versions.  Preview.app does mostly the same thing, and is being
> actively maintained.

I prefer that you instead simply reassign the O: bug to ftp.debian.org,
so that it's clear where this "has orphaned" comes from, and those bugs
get closed when the package is removed.

Now that you already filed 5 or so new bugs, it doesn't really matter
anymore, so this is just a tip for the future :). If you feel like it,
you can still reassign & merge, so that those wnpp bugs get closed when
I'm processing these removals.

Thanks,
--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Merged 296627 354785. Request was from Hubert Chan <hubert@uhoreg.ca> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Hubert Chan <hubert@uhoreg.ca>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 354785-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 354785-close@bugs.debian.org
Cc: imageviewer@packages.debian.org, imageviewer@packages.qa.debian.org
Subject: Bug#354785: fixed
Date: Sun, 12 Mar 2006 18:38:11 -0800
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

imageviewer |  0.6.3-0.3 | hppa, ia64, m68k
imageviewer |  0.6.3-0.4 | source, alpha, arm, i386, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 354785@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 20:47:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:24:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.